Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.audit.impl.model
Class TaskEventImpl

    java.lang.Object
      org.jbpm.services.task.audit.impl.model.TaskEventImpl

All Implemented Interfaces:
  Externalizable, Serializable, org.kie.internal.task.api.model.TaskEvent

    @Entity
    public class TaskEventImpl

extends Object
implements org.kie.internal.task.api.model.TaskEvent

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.kie.internal.task.api.model.TaskEvent
`org.kie.internal.task.api.model.TaskEvent.TaskEventType`

Constructor Summary
`TaskEventImpl()`
`TaskEventImpl(Long taskId, org.kie.internal.task.api.model.TaskEvent.TaskEventType type, Long processInstanceId, Long workItemId, String userId)`
`TaskEventImpl(Long taskId, org.kie.internal.task.api.model.TaskEvent.TaskEventType type, Long processInstanceId, Long workItemId, String userId, Date logTime)`
`TaskEventImpl(long taskId, org.kie.internal.task.api.model.TaskEvent.TaskEventType type, String userId)`
`TaskEventImpl(Long taskId, org.kie.internal.task.api.model.TaskEvent.TaskEventType type, String userId, Date logTime)`

Method Summary
`boolean` | `equals(Object obj)`
`long` | `getId()`
`Date` | `getLogTime()`
`Long` | `getProcessInstanceId()`
`long` | `getTaskId()`
`org.kie.internal.task.api.model.TaskEvent.TaskEventType` | `getType()`
`String` | `getUserId()`
`Long` | `getWorkItemId()`
`int` | `hashCode()`
`void` | `readExternal(ObjectInput in)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskEventImpl

    public TaskEventImpl()

### TaskEventImpl

    public TaskEventImpl(long taskId,
                         org.kie.internal.task.api.model.TaskEvent.TaskEventType type,
                         String userId)

### TaskEventImpl

    public TaskEventImpl(Long taskId,
                         org.kie.internal.task.api.model.TaskEvent.TaskEventType type,
                         String userId,
                         Date logTime)

### TaskEventImpl

    public TaskEventImpl(Long taskId,
                         org.kie.internal.task.api.model.TaskEvent.TaskEventType type,
                         Long processInstanceId,
                         Long workItemId,
                         String userId,
                         Date logTime)

### TaskEventImpl

    public TaskEventImpl(Long taskId,
                         org.kie.internal.task.api.model.TaskEvent.TaskEventType type,
                         Long processInstanceId,
                         Long workItemId,
                         String userId)

Method Detail

### getId

    public long getId()

  Specified by:
    `getId` in interface `org.kie.internal.task.api.model.TaskEvent`

### getTaskId

    public long getTaskId()

  Specified by:
    `getTaskId` in interface `org.kie.internal.task.api.model.TaskEvent`

### getType

    public org.kie.internal.task.api.model.TaskEvent.TaskEventType getType()

  Specified by:
    `getType` in interface `org.kie.internal.task.api.model.TaskEvent`

### getUserId

    public String getUserId()

  Specified by:
    `getUserId` in interface `org.kie.internal.task.api.model.TaskEvent`

### getLogTime

    public Date getLogTime()

  Specified by:
    `getLogTime` in interface `org.kie.internal.task.api.model.TaskEvent`

### getProcessInstanceId

    public Long getProcessInstanceId()

  Specified by:
    `getProcessInstanceId` in interface `org.kie.internal.task.api.model.TaskEvent`

### getWorkItemId

    public Long getWorkItemId()

  Specified by:
    `getWorkItemId` in interface `org.kie.internal.task.api.model.TaskEvent`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.